import { InjectRepository } from "@nestjs/typeorm";
import { Injectable, BadRequestException, UnauthorizedException, Post, Body } from "@nestjs/common";
import { Repository } from "typeorm";

import { {{name|capitalize}} } from "../model/{{name}}.entity";

@Injectable()
export class {{name|capitalize}}Service {
  constructor(
    @InjectRepository({{name|capitalize}})
    private readonly {{name}}Repository: Repository<{{name|capitalize}}>
  ) {}

  async get{{name|capitalize}}() {
    return await this.{{name}}Repository.find();
  }

  @Post()
  async create(payload) {
    const {{name}}: {{name|capitalize}} = new {{name|capitalize}}();
    {% for attr in attributes %}
      {{name}}.{{attr.name}} = payload.{{attr.name}}
    {%endfor%}
    return await this.{{name}}Repository.save({{name}});
  }
}
